Package com.sun.jna.platform.win32

## Class OaIdl.MEMBERIDByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.OaIdl.MEMBERIDByReference

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  OaIdl

    public static class OaIdl.MEMBERIDByReference
    extends ByReference

### Constructor Summary

Constructors
`MEMBERIDByReference()`
`MEMBERIDByReference​(OaIdl.MEMBERID value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`OaIdl.MEMBERID` `getValue()`
`void` `setValue​(OaIdl.MEMBERID value)`

### Methods inherited from class com.sun.jna.ptr.ByReference

`toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MEMBERIDByReference

    public MEMBERIDByReference()

#### MEMBERIDByReference

    public MEMBERIDByReference​(OaIdl.MEMBERID value)

### Method Detail

#### setValue

    public void setValue​(OaIdl.MEMBERID value)

#### getValue

    public OaIdl.MEMBERID getValue()